package com.example.ReceiveItem.consumer;


import com.example.ReceiveItem.service.ItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.stereotype.Component;


/**
 * Message consumer class :: to consume messages from kafka topics
 */
@Component
public class MessageConsumer {

    @Autowired
    private ItemService itemService;

    /**
     * read message method define to consume messages from kafka
     * @param order the message
     */
    @KafkaListener(topics = "${app.topic.name}",groupId = "reciveIteam")
    public void readMessage(String order){
        itemService.saveItem(order);
    }   

}
