package com.example.produceItemService.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table("item")
public class Item {
    @Id
    @Column("id")
    private Integer id;

    @Column("name")
    private String name;

    @Column("quantity")
    private Long quantity;

    @Column("price")
    private Double price;
}
